Skip to main content
GET
Get a member run

Authorizations

Authorization
string
header
required

Workspace API key, e.g. Authorization: Bearer tented_.... Create keys in Workspace Settings → API Keys.

Path Parameters

flowId
string<uuid>
required

Flow ID.

membershipId
string<uuid>
required

Membership (run) ID.

Response

Run details.

flow_id
string<uuid>
required

Flow ID.

membership_id
string<uuid>
required

Membership (run) ID.

contact_id
string<uuid>
required

Contact ID.

flow_name
string

Flow name.

contact_name
string | null

Contact display name.

contact_email
string | null

Contact email.

run_status
enum<string>

Run outcome.

Available options:
in_flow,
completed,
failed,
exited_flow
status_label
string

Human-readable status.

membership_status
string

Membership state.

entered_at
string<date-time>

Enrollment time.

exited_at
string<date-time> | null

Exit time.

current_step_id
string | null

Current step.

current_step_label
string | null

Current step label.

drop_reason
string | null

Drop reason.

failure_count
integer

Step execution failures.

last_error
string | null

Most recent execution error.

timeline
object[]

Chronological run events.